Names.pdBlocked {nlme} | R Documentation

## Names of a pdBlocked Object

### Description

This method function extracts the first element of the `Dimnames` attribute, which contains the column names, for each block diagonal element in the matrix represented by `object`.

### Usage

    ## S3 method for class 'pdBlocked'
    Names(object, asList, ...)

### Arguments

`object` | an object inheriting from class `"pdBlocked"` representing a positive-definite matrix with block diagonal structure
`asList` | a logical value. If `TRUE` a `list` with the names for each block diagonal element is returned. If `FALSE` a character vector with all column names is returned. Defaults to `FALSE`.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

if `asList` is `FALSE`, a character vector with column names of the matrix represented by `object`; otherwise, if `asList` is `TRUE`, a list with components given by the column names of the individual block diagonal elements in the matrix represented by `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`Names`, `Names.pdMat`

### Examples

    pd1 <- pdBlocked(list(~Sex - 1, ~age - 1), data = Orthodont)
    Names(pd1)

[Package nlme version 3.1-131 Index]